import React, { ComponentProps } from "react";
import { cn } from "@/lib/utils";
import { btnDefault } from "@/lib/ui/buttonStyles";

type TDiv = ComponentProps<"div"> & {};

function RoundedDiv({ children, style, className, ...rest }: TDiv) {
  return (
    <div
      className={cn(
        "flex max-w-[300px] items-center justify-center text-center text-sm font-bold",
        btnDefault,
        className
      )}
      style={{ ...style }}
      {...rest}
    >
      {children}
    </div>
  );
}

export default RoundedDiv;
